gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object this class manages the s
- Constructor
  2.12.0.0
  Do not use.
  Do not use
- Method
  2.12.0.0
  System.Void `` a Adds a stock item.
- Method
  2.12.0.0
  System.Void `` an array of Registers each of the stock items in . If an item already exists with the same stock ID as one of the , the old item gets replaced. The stock items are copied, so GTK+ does not hold any pointer into and can be freed.
- Method
  2.12.0.0
  System.Obsolete("Use the StockItem or StockItem[] overload instead.")
  System.Void `` `` a a Adds a stock item. This signature is obsolete, but preserved for backward compatibility. Use the single parameter overload for new code.
- Method
  2.12.0.0
  System.Obsolete("Use StockManager.Add instead")
  System.Void `` `` a a Obsolete, do not use.
- Method
  2.12.0.0
  System.Boolean `` `` a a Finds a stock item by stock_id. a See also
- Method
  2.12.0.0
  System.Boolean `` `` a a Finds a stock item by stock_id. a